List tasks
List long-running operations started by your business, optionally filtered by status.
Required permissions: task:list.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
X-Penny-As-Business
Act on behalf of another business that has granted you access. Requires the business:act_as permission.
Query parameters
status
Filter tasks by their current status.
page_size
Maximum number of results to return per page. Defaults to 100.
next_page_token
Pagination key used to retrieve the next page of results.
Response
The matching tasks.
items
The list of items returned by the API.
count
The total number of items returned in this response.
next_page_token
A token for retrieving the next page of results, if applicable.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error